#
# spec file for package adcli
#
# Copyright (c) 2018 Chris Kowalczyk <ckowalczyk@suse.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           adcli
Version:        0.8.2
Release:        lp151.1.2
Summary:        Tool for performing actions on an Active Directory domain
License:        LGPL-2.0+
Group:          System/Libraries
URL:            http://cgit.freedesktop.org/realmd/adcli
Source0:        http://www.freedesktop.org/software/realmd/releases/%{name}-%{version}.tar.gz
Source1:        http://www.freedesktop.org/software/realmd/releases/%{name}-%{version}.tar.gz.sig
BuildRequires:  libxslt-tools
BuildRequires:  openldap2-devel
BuildRequires:  xmlto
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(mit-krb5)

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library of routines for joining a machine to Active Directory (without samba)
and managing machine accounts there. Will probably expand to cover other AD
related tasks as well.

%package doc
Summary:        Documentation for adcli
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
Library of routines for joining a machine to Active Directory (without samba)
and managing machine accounts there. Will probably expand to cover other AD
related tasks as well.

This package contains the documentation for adcli.

%prep
%setup -q

%build
%configure --disable-static \
           --disable-silent-rules
make %{?_smp_mflags}

%install
%makeinstall
#Remove zero-length file.
pushd %{buildroot}/%{_datadir}/doc/%{name}
rm adcli-docs.proc
popd

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sbindir}/%{name}
%{_mandir}/man8/adcli.8%{?ext_man}

%files doc
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}

%changelog
* Fri Sep 21 2018 ckowalczyk@suse.com
- Initial build (fate#326619, bsc#1109849)
